<template>
  <md-toolbar md-elevation="0" class="md-transparent">
    <div class="md-toolbar-row">
      <div class="md-toolbar-section-start">
        <h3 class="md-title">{{ $route.name }}</h3>
      </div>
      <div class="md-toolbar-section-end">
        <md-button class="md-just-icon md-simple md-toolbar-toggle" :class="{toggled: $sidebar.showSidebar}" @click="toggleSidebar">
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
          <span class="icon-bar"></span>
        </md-button>

        <div class="md-collapse">
          <md-list>
            <md-list-item to="javascript:void(0)" @click="$refs.logoutForm.submit()">
              <i class="material-icons">
                exit_to_app
              </i>
              <md-tooltip md-direction="left">Logout</md-tooltip>
              <p class="hidden-lg hidden-md">Logout</p>
            </md-list-item>
            <form :action="`${$baseUrl}/logout`" ref="logoutForm" style="display: none" method="post">
              <input type="hidden" name="_token" :value="$csrfToken">
            </form>
          </md-list>
        </div>
      </div>
    </div>

  </md-toolbar>
</template>

<script>

export default{
  methods: {
    toggleSidebar () {
      this.$sidebar.displaySidebar(!this.$sidebar.showSidebar)
    },
    // logout () {
    //   this.$auth.logout();
    // }
  }
}
</script>

<style lang="css">
</style>
